org.codehaus.groovy.transform.stc

## Class TypeCheckingContext.EnclosingClosure

- java.lang.Object
- - org.codehaus.groovy.transform.stc.TypeCheckingContext.EnclosingClosure

- Enclosing class:
    TypeCheckingContext

      public static class TypeCheckingContext.EnclosingClosure
      extends java.lang.Object

  Represents the context of an enclosing closure. An enclosing closure wraps a closure expression and the list of return types found in the closure body.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `EnclosingClosure(ClosureExpression closureExpression)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addReturnType(ClassNode type)`
    `ClosureExpression` | `getClosureExpression()`
    `java.util.List<ClassNode>` | `getReturnTypes()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### EnclosingClosure

          public EnclosingClosure(ClosureExpression closureExpression)

  - ### Method Detail

    - #### getClosureExpression

          public ClosureExpression getClosureExpression()

    - #### getReturnTypes

          public java.util.List<ClassNode> getReturnTypes()

    - #### addReturnType

          public void addReturnType(ClassNode type)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`